Search Results for

Show / Hide Table of Contents

# Interface ISkippableAd

Ad that can be skipped.

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    public interface ISkippableAd

### Properties

#### SkipButtonArea

Sets skip button area factor.

##### Declaration

    double SkipButtonArea { set; }

##### Property Value

Type | Description
--- | ---
double | the percentage of the device screen that the skip button should cover.

##### Remarks

Allowed range - `0...1`.

Default value is ~`0.1`.

#### SkipButtonPosition

Sets position of the skip button.

##### Declaration

    AdElementPosition SkipButtonPosition { set; }

##### Property Value

Type | Description
--- | ---
AdElementPosition | Where the skip button appears on the screen.

##### Remarks

Allowed values: TopLeft, TopRight.

Default is TopRight.

#### SkipDelay

Sets skip button appearing delay for the ad.

##### Declaration

    int SkipDelay { set; }

##### Property Value

Type | Description
--- | ---
int | Number of seconds after the start of playback before the skip or close button should appear.

##### Remarks

Default value is ~`10.0`.